Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.examples.pieExtension
Class UIPieChart

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.ui.UIProxy
                  |
                  +--com.ibm.ulc.ui.UIComponent
                        |
                        +--com.ibm.ulc.examples.pieExtension.UIPieChart

public class UIPieChart
extends com.ibm.ulc.ui.UIComponent
implements java.awt.event.ActionListener

An example implementation of a piechart component. The purpose of this widget is purely to demonstrate how a java bean can be wrapped as a ULC component and installed as an extension to the UI Engine.

See Also:
  which implements the Pie java bean, which provides the ULC developer with an API to use this extension., Serialized Form

Fields inherited from class com.ibm.ulc.ui.UIComponent
`fEnabler, fOptionalEvents, fPopupMenu`

Fields inherited from class com.ibm.ulc.ui.UIProxy
`fConnection, fId`

Constructor Summary
`UIPieChart()` Default constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` The PieChart bean has indicated that the user has triggered an action event.
`void` | `free()` The UI engine will call this method when there are no further references to this widget.
`java.awt.Component` | `getComponent()` Return the Java widget that is added to my parent hierarchy.
`void` | `handleRequest(ORBConnection conn, java.lang.String request, Anything args)` The ULC application has sent a request to this object.
`void` | `restoreState(ORBConnection conn, Anything args)` This method is the first method called after this widget is instantiated.

Methods inherited from class com.ibm.ulc.ui.UIComponent
`add, add, add, addMouseListenerForPopupMenu, areValidRGBColorValues, enableOptionalEvents, forceFrameRepaint, forceParentRepaint, getBackgroundColor, getBasicComponent, getForegroundColor, insert, insert, isOptionalEventEnabled, isShowing, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, refreshComponentColor, refreshComponentColor, remove, remove, remove, removeMouseListenerForPopupMenu, requestFocus, setBackgroundColor, setBackgroundColorWithOpaque, setCursor, setDecoration, setDecoration, setEnabled, setEnabler, setFont, setForegroundColor, setForegroundColorWithOpaque, setLabel, setOptionalEvents, setParent, setPopupMenu, setToolTipText, setVisible, showPopup`

Methods inherited from class com.ibm.ulc.ui.UIProxy
`add, addInstance, addMany, convert, convert, finalize, find, getManaged, printInstances, remove, removeInstance, removeMany, sendEventULC, sendEventULC, sendEventULC, sendOptionalEventULC, sendOptionalEventULC, sendOptionalEventULC, sendULC, sendULC, setOptionalEventsEnabled, trouble`

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIPieChart

    public UIPieChart()

  Default constructor. This constructor must be implemented for every UI extension.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  The PieChart bean has indicated that the user has triggered an action event. Send this event to the ULC application.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### free

    public void free()

  The UI engine will call this method when there are no further references to this widget. Perform any cleanup necessary.
  Overrides:
    free in class com.ibm.ulc.ui.UIProxy

### getComponent

    public java.awt.Component getComponent()

  Return the Java widget that is added to my parent hierarchy. In some cases eg: Table, List etc the component returned is a scrollpane which contains the actual implementation widget. In that case you must implement `getBasicComponent` that returns the implementation widget and `getComponent` which returns the top level container that will be added to this widgets parent hierarchy.
  Overrides:
    getComponent in class com.ibm.ulc.ui.UIComponent

### handleRequest

    public void handleRequest(ORBConnection conn,
                              java.lang.String request,
                              Anything args)

  The ULC application has sent a request to this object. Do all processing necessary. If this object does not handle this request call super.handleRequest.
  Parameters:
    `conn` - ORBConnection The connection on which the reply should be sent.
    `request` - String The string that identifies this request.
    `args` - Anything The arguments associated with this request.
  Overrides:
    handleRequest in class com.ibm.ulc.ui.UIComponent

### restoreState

    public void restoreState(ORBConnection conn,
                             Anything args)

  This method is the first method called after this widget is instantiated. All widget specific initialization must take place in this method. All the parameters necessary to initialize this widget are specified in the arguments. Subclasses implementing this method must call the superclass implementation as well.
  Parameters:
    `conn` - the `UlcConnection` in which this operation is performed
    `args` - the `Anything` containing the optional initialization parameters
  Overrides:
    restoreState in class com.ibm.ulc.ui.UIComponent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD